Page MenuHomePhabricator

run-tests: fix a socket context manager for py2
AbandonedPublic

Authored by pulkit on Nov 28 2020, 11:00 PM.

Details

Reviewers
mharbison72
Group Reviewers
hg-reviewers
Summary

I broke this in e1404a75cddd, because the socket class lacks __exit__ on py2.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mharbison72 created this revision.Nov 28 2020, 11:00 PM

I broke this in e1404a75cddd

Feel free to fold this in there, and keep the original commit message.

pulkit accepted this revision.Nov 29 2020, 8:45 AM
This revision is now accepted and ready to land.Nov 29 2020, 8:45 AM
pulkit requested changes to this revision.Dec 4 2020, 2:24 PM

This was folded and no longer needed. Moving it out of the review queue.

This revision now requires changes to proceed.Dec 4 2020, 2:24 PM
pulkit edited reviewers, added: mharbison72; removed: pulkit.Dec 4 2020, 2:32 PM
pulkit commandeered this revision.
pulkit abandoned this revision.